cannot activate lux render

Use this forum for general user support and related questions.
User avatar
Anthony O
Posts: 11
Joined: Thu Sep 20, 2018 10:52 am

Re: cannot activate lux render

Post by Anthony O » Wed Oct 03, 2018 12:33 pm

it works now! i renamed the 2.79 folder so i guess some other addon in the past did indeed f up my pythonpath ^^ thx alot for the help guys!!!!

User avatar
B.Y.O.B.
Developer
Posts: 1823
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: cannot activate lux render

Post by B.Y.O.B. » Wed Oct 03, 2018 2:40 pm

Great to hear that!
I hope restoring the other addons is not too much work, and I look forward to see images rendered by you in the forum :)
Support LuxCoreRender project with salts and bounties

marcatore
Posts: 133
Joined: Wed Jan 10, 2018 8:04 am

Re: cannot activate lux render

Post by marcatore » Tue Oct 30, 2018 8:30 pm

I have problem activating LuxCore (@home).
I've downloaded some days ago one of the latest 2.79.6 builds from Blender.org (date fo build 27th of October).
I've tried to install the 2.1 beta1 and I have this error when I try to activate it.

Code: Select all

Modules Installed () from 'H:\\SCRIPTS\\Blender\\RenderEngine\\LuxCore\\BlendLuxCore-v2.1beta1-win64-opencl.zip' into 'C:\\Users\\USERNAME\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons'
Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\modules\addon_utils.py", line 351, in enable
    mod = __import__(module_name)
  File "C:\Users\USERNAME\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py", line 23, in <module>
    raise Exception(msg + "\n\nImportError: %s" % error) from None
Exception:

Could not import pyluxcore.
You probably forgot to install one of the redistributable packages.
They are listed in the release announcement post.

ImportError: DLL load failed: Impossibile trovare il modulo specificato.
I've tried to install all the packages requested but it still doesn't work.

Any ideas?
Nightly official blender builds are "supported"?
Anyway I remember to had problems both with official 2.79b.

What I can't really understand is why at work it works.

acasta69
Developer
Posts: 65
Joined: Tue Jan 09, 2018 3:45 pm

Re: cannot activate lux render

Post by acasta69 » Tue Oct 30, 2018 9:15 pm

Luxcore will not work with a Blender "nightly" build because of the different python version. You have to use the official 2.79b.

If you need to use the nightly build and you want to build luxcore yourself, then you can link it against Python 3.7:
just follow the instructions here, but build using the command:

Code: Select all

.\cmake-build-x64.bat /python37
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

marcatore
Posts: 133
Joined: Wed Jan 10, 2018 8:04 am

Re: cannot activate lux render

Post by marcatore » Tue Oct 30, 2018 10:30 pm

Thank you for the info.

Actually, installing 2.79b it loads correctly Luxcore.

Nice.

Post Reply